Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.spi
Interface AuditAtzEvent

public interface AuditAtzEvent
extends AuditEvent, AuditContext

The `AuditAtzEvent` interface is used to post authorization audit events. The WebLogic Security Framework implements this interface and may post audit events for the following security events:

- Access to the WebLogic resource has been allowed.
- Access to the WebLogic resource has not been allowed.

An Authorization provider may also implement this interface and post additional types of authorization audit events.

An Auditing provider can use this interface to get additional information about the authorization audit event. The `AuditSeverity` attribute can be used to determine which of the above audit events has been posted.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Resource` | `getResource()` Gets the resource associated with this `AuditAtzEvent`.
`javax.security.auth.Subject` | `getSubject()` Gets the subject associated with this `AuditAtzEvent`.

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Methods inherited from interface weblogic.security.spi.AuditContext
`getContext`

Method Detail

### getSubject

    public javax.security.auth.Subject getSubject()

  Gets the subject associated with this `AuditAtzEvent`.

  Returns:
    the `Subject` object that is attempting to access the resource associated with this `AuditAtzEvent`.

### getResource

    public Resource getResource()

  Gets the resource associated with this `AuditAtzEvent`.

  Returns:
    the `Resource` object attempting to be accessed by the subject associated with this `AuditAtzEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD